/*************************************************************************/
/*************************************************************************/
/* H. Timucin OZDEMIR                                                    */
/* Date : February, 1997                                                 */
/* File Name : XgaussMF.h                                                */
/*************************************************************************/
/*************************************************************************/

#ifndef _XGAUSSMF_H
#define _XGAUSSMF_H

#include "gaussMF.h"

class XgaussMF : public gaussMF
{
   public:

     virtual float getValue(float);
     virtual Function* getMyTwin();

     XgaussMF(float,float);

     friend ostream& operator<<(ostream&, const XgaussMF& );

     virtual void printOn(ostream&) const;

}; // end of class XgaussMF

XgaussMF::XgaussMF(float a1,float a2) : gaussMF(a1,a2) {}

float XgaussMF::getValue(float x) { return (x*gaussMF::getValue(x)); }

Function * XgaussMF::getMyTwin()
{  XgaussMF *ret = new XgaussMF(getCenter(), getSpread());
   (*ret).setCutOff(getCutOff());
   return ret;
}// end of getMyTwin()

ostream& operator<<(ostream& os, const XgaussMF& RHS)
{  RHS.printOn(os);
   return os;
}// end of operator<<

void XgaussMF::printOn(ostream& os) const 
{  os << " XGaussian(" << center << "," << stdeviation << ") with " << cutOff;
}// end of printOn()

#endif
